# norootforbuild

Name:       xvidcap
Version:    1.1.7
Release:    4.pm.5.1
Summary:    A small tool to capture things going on on an X-Windows display
URL:        http://xvidcap.sourceforge.net/
Group:      Productivity/Graphics/Viewers
License:    GPL

Source0:    http://prdownloads.sourceforge.net/xvidcap/%{name}-%{version}.tar.gz

Patch0:     xvidcap-1.1.6-docdir.patch
Patch1:     xvidcap-xorg.patch

BuildRoot:  %{_tmppath}/build-%{name}-%{version}

BuildRequires: gtk2-devel libmp3lame-devel libglade2-devel perl-XML-Parser pkgconfig scrollkeeper update-desktop-files


%description
Xvidcap is a tool that can capture movement on an X11 display. It works in two distinct modes:
It can capture to single frames (like a number of jpeg images) or it can encode the captured frames to a video on-line.

It is intended to be a standards-based alternative to tools like Lotus ScreenCam for UNIX platforms.
On-line encoding is done through FFMPEG and also allows for audio grabbing on OSS compatible systems.

Author: Karl H. Beckers





%prep
%setup -q -n %{name}-%{version}
%patch0 -p 1
%if %suse_version >= 1130
%patch1 -p 1
%endif


%build
export SUSE_ASNEEDED=0
export LDFLAGS="-L/usr/X11R6/%{_lib}"
%configure --with-forced-embedded-ffmpeg
%__make  %{?jobs:-j%{jobs}}


%install
%makeinstall

%suse_update_desktop_file %{name} AudioVideo Recorder

%find_lang "%{name}"


%clean
%__rm -rf "%{buildroot}"


%files -f "%{name}.lang"
%defattr(-,root,root)
%{_bindir}/xvidcap
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/dbus-1
%dir %{_datadir}/dbus-1/services
%{_datadir}/dbus-1/services/net.jarre_de_the.Xvidcap.service
%dir %{_datadir}/omf
%{_datadir}/omf/%{name}/%{name}-*.omf
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/*.png
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/*
%{_mandir}/man1/*
%{_mandir}/de/man1/*
%{_mandir}/es/man1/*
%{_mandir}/it/man1/*
# WTF?
%dir %{_datadir}/gnome
%dir %{_datadir}/gnome/help


%changelog
* Mon Nov 23 2009 Detlef Reichelt <detlef@links2linux.de> 0.1.7-2
- set asneeded=0 for 11.2
* Fri Oct 03 2008 Detlef Reichelt <detlef@links2linux.de> <0.1.7>-<0.pm.2>
- fix mandir
* Mon Jul 14 2008 Detlef Reichelt <detlef@links2linux.de> <0.1.7>-<0.pm.1>
- new upstream version <1.1.7>
* Mon Feb 18 2008 Detlef Reichelt <detlef@links2linux.de> <0.1.7rc1>-<0.pm.1>
- new upstream version <1.1.7rc1>
* Sun Nov 18 2007 Detlef Reichelt <detlef@links2linux.de> <0.1.6>
- new upstream release <1.1.6>
* Mon Oct 02 2006 Detlef Reichelt <detlef@links2linux.de> <0.1.4rc1>
- first build for packman
